Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class DependencyGraphNode<T extends ISystemModelElement>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>
          kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex<V,E,O>
              kieker.tools.traceAnalysis.filter.visualization.graph.AbstractPayloadedVertex<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation,T>
                  kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.DependencyGraphNode<T>

Type Parameters:
  `T` - The type of the entity to be stored in this node.

    public class DependencyGraphNode<T extends ISystemModelElement>

extends AbstractPayloadedVertex<DependencyGraphNode<T>,WeightedBidirectionalDependencyGraphEdge<T>,TraceInformation,T>

This class represents a single node within a dependency graph.

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static int` | `ROOT_NODE_ID`

Constructor Summary
`DependencyGraphNode(int id, T entity, TraceInformation origin, IOriginRetentionPolicy originPolicy)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `addIncomingDependency(DependencyGraphNode<T> source, boolean isAssumed, TraceInformation origin, IOriginRetentionPolicy originPolicy)` Adds an incoming dependency to this node.
`void` | `addIncomingDependency(DependencyGraphNode<T> source, TraceInformation origin, IOriginRetentionPolicy originPolicy)` Adds an incoming dependency to this node.
`void` | `addOutgoingDependency(DependencyGraphNode<T> destination, boolean isAssumed, TraceInformation origin, IOriginRetentionPolicy originPolicy)` Adds an outgoing dependency to this node.
`void` | `addOutgoingDependency(DependencyGraphNode<T> destination, TraceInformation origin, IOriginRetentionPolicy originPolicy)` Adds an outgoing dependency to this node.
`Collection<WeightedBidirectionalDependencyGraphEdge<T>>` | `getAssumedIncomingDependencies()`
`Collection<WeightedBidirectionalDependencyGraphEdge<T>>` | `getAssumedOutgoingDependencies()`
`T` | `getEntity()`
`String` | `getFormattedDecorations()`
`int` | `getId()`
`String` | `getIdentifier()` Returns an identifier for this graph element (e.g., a label).
`Collection<WeightedBidirectionalDependencyGraphEdge<T>>` | `getIncomingDependencies()`
`Collection<WeightedBidirectionalDependencyGraphEdge<T>>` | `getOutgoingDependencies()`
`Collection<WeightedBidirectionalDependencyGraphEdge<T>>` | `getOutgoingEdges()` Returns the outgoing edges of this vertex.
`boolean` | `isAssumed()`
`void` | `setAssumed()` Sets the assumed flag of this node to `true`.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractPayloadedVertex
`getPayload`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractVertex
`addDecoration, getDecoration, getDecorations`

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement
`addOrigin, getColor, getDescription, getOrigins, setColor, setDescription`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_NODE_ID

    public static final int ROOT_NODE_ID

See Also:
  Constant Field Values

Constructor Detail

### DependencyGraphNode

    public DependencyGraphNode(int id,
                               T entity,
                               TraceInformation origin,
                               IOriginRetentionPolicy originPolicy)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `id` - The ID of this node.
    `entity` - The entity which will be the payload of this node.
    `origin` - The trace information which will be additional meta data for this node.
    `originPolicy` - The origin policy.

Method Detail

### getEntity

    public final T getEntity()

### getIdentifier

    public String getIdentifier()

  Description copied from class: `AbstractGraphElement`
  Returns an identifier for this graph element (e.g., a label).

  Specified by:
    `getIdentifier` in class `AbstractGraphElement<TraceInformation>`
  Returns:
    An identifier or `null` if no identifier can be determined

### getIncomingDependencies

    public final Collection<WeightedBidirectionalDependencyGraphEdge<T>> getIncomingDependencies()

### getOutgoingDependencies

    public final Collection<WeightedBidirectionalDependencyGraphEdge<T>> getOutgoingDependencies()

### getAssumedIncomingDependencies

    public Collection<WeightedBidirectionalDependencyGraphEdge<T>> getAssumedIncomingDependencies()

### getAssumedOutgoingDependencies

    public Collection<WeightedBidirectionalDependencyGraphEdge<T>> getAssumedOutgoingDependencies()

### setAssumed

    public void setAssumed()

  Sets the assumed flag of this node to `true`.

### isAssumed

    public boolean isAssumed()

### addOutgoingDependency

    public void addOutgoingDependency(DependencyGraphNode<T> destination,
                                      TraceInformation origin,
                                      IOriginRetentionPolicy originPolicy)

  Adds an outgoing dependency to this node. The dependency will be marked as not assumed.

  Parameters:
    `destination` - The destination of the dependency.
    `origin` - The origin of the destination.
    `originPolicy` - The origin policy of the destination.

### addOutgoingDependency

    public void addOutgoingDependency(DependencyGraphNode<T> destination,
                                      boolean isAssumed,
                                      TraceInformation origin,
                                      IOriginRetentionPolicy originPolicy)

  Adds an outgoing dependency to this node.

  Parameters:
    `destination` - The destination of the dependency.
    `isAssumed` - Whether the dependency is assumed or not.
    `origin` - The origin of the destination.
    `originPolicy` - The origin policy of the destination.

### addIncomingDependency

    public void addIncomingDependency(DependencyGraphNode<T> source,
                                      TraceInformation origin,
                                      IOriginRetentionPolicy originPolicy)

  Adds an incoming dependency to this node. The dependency will be marked as not assumed.

  Parameters:
    `source` - The source of the dependency.
    `origin` - The origin of the destination.
    `originPolicy` - The origin policy of the destination.

### addIncomingDependency

    public void addIncomingDependency(DependencyGraphNode<T> source,
                                      boolean isAssumed,
                                      TraceInformation origin,
                                      IOriginRetentionPolicy originPolicy)

  Adds an incoming dependency to this node.

  Parameters:
    `source` - The source of the dependency.
    `isAssumed` - Whether the dependency is assumed or not.
    `origin` - The origin of the destination.
    `originPolicy` - The origin policy of the destination.

### getId

    public final int getId()

### getFormattedDecorations

    public String getFormattedDecorations()

### getOutgoingEdges

    public Collection<WeightedBidirectionalDependencyGraphEdge<T>> getOutgoingEdges()

  Description copied from class: `AbstractVertex`
  Returns the outgoing edges of this vertex.

  Specified by:
    `getOutgoingEdges` in class `AbstractVertex<DependencyGraphNode<T extends ISystemModelElement>,WeightedBidirectionalDependencyGraphEdge<T extends ISystemModelElement>,TraceInformation>`
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net